<!DOCTYPE html>
<html>

<head>
	<title>Biografías</title>

	<link rel="preconnect" href="https://fonts.gstatic.com">
	<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css"
		integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
	<link href="https://fonts.googleapis.com/css2?family=Roboto:wght@300&display=swap" rel="stylesheet">

	<style>
		html,
		body {
			font-family: 'Roboto', sans-serif;
			text-align: center;
			background-color: #dddddd;
		}

		.names {
			font-size: 24px !important;
		}

		@media (max-width: 480px) {
			.names {
				font-size: 36px !important;
			}
		}

		@media (max-width: 768px) {
			.names {
				font-size: 32px !important;
			}
		}
	</style>

	<script src="https://cdn.jsdelivr.net/npm/vue"></script>
	<script src="https://unpkg.com/vue-router"></script>

</head>

<body>

	<div id="app" class="container" style="margin-top: 50px;">

		<nav class="navbar navbar-expand-lg navbar-light" style="background-color: #e3f2fd;">
			<div class="container col-12">
				<router-link class="navbar-brand nav-link" to="/"> Biografías </router-link>
				<button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbar-list"
					aria-controls="navbarNav" aria-expanded="true" aria-label="Toggle navigation"
					onclick="displayMenu(event)">
					<span class="navbar-toggler-icon"></span>
				</button>
				<div class="collapse navbar-collapse" id="navbar-list">
					<ul class="nav navbar-nav ml-auto">
						<li>
							<router-link class="nav-link" to="andres"><strong class="names">Andrés</strong>
							</router-link>
						</li>
						<li>
							<router-link class="nav-link" to="carlos"><strong class="names">Carlos</strong>
							</router-link>
						</li>
						<li>
							<router-link class="nav-link" to="gregorio"><strong class="names">Gregorio</strong>
							</router-link>
						</li>
						<li>
							<router-link class="nav-link" to="mauricio"><strong class="names">Mauricio</strong>
							</router-link>
						</li>
						<li>
							<router-link class="nav-link" to="oscar"><strong class="names">Óscar</strong>
							</router-link>
						</li>
						<li>
							<router-link class="nav-link" to="william"><strong class="names">William</strong>
							</router-link>
						</li>
					</ul>
				</div>
			</div>
		</nav>

		<div class="text-center" style="margin-top: 20px;">
			<router-view></router-view>
		</div>
	</div>

	<script>
		function displayMenu(event) {
			if (document.getElementById("navbar-list").classList.contains("show")) {
				document.getElementById("navbar-list").classList.remove("show")
			} else {
				document.getElementById("navbar-list").classList.add("show")
			}
		}
	</script>

	<!-- Vue Pages -->
	<script src="pages/home.vue.js"></script>
	<script src="andres/index.vue.js"></script>
	<script src="gregorio/index.vue.js"></script>
	<script src="mauricio/index.vue.js"></script>
	<script src="oscar/index.vue.js"></script>
	<script src="william/index.vue.js"></script>
	<script src="carlos/index.vue.js"></script>  

	<script>
		var routes = [{
				path: '/',
				component: Home
			},
			{
				path: '/andres',
				component: Andres
			},
			{
				path: '/carlos',	
				component: Carlos //cambio reaalizado por carlos uriza antiguo valor Gregorio
			},
			{
				path: '/gregorio',
				component: Gregorio
			},
			{
				path: '/mauricio',
				component: Mauricio
			},
			{
				path: '/oscar',
				component: Oscar
			},
			{
				path: '/william',
				component: William
			}
		];

		var router = new VueRouter({
			routes: routes,
			mode: 'history',
			base: '/biografias/'
		});

		var app = new Vue({
			el: '#app',
			router: router
		})
	</script>

</body>

</html>
